Loading...
Searching...
No Matches
macros.h File Reference

Go to the source code of this file.

## Macros

#define | ETL_CONCAT2(X, Y)
#define | ETL_CONCAT(X, Y)
#define | ETL_STRINGIFY_1(...)
#define | ETL_STRINGIFY(...)
#define | ETL_STRING(X)
#define | ETL_WIDE_STRING(X)
#define | ETL_U8_STRING(X)
#define | ETL_U16_STRING(X)
#define | ETL_U32_STRING(X)

## Macro Definition Documentation

## ETL_CONCAT

#define ETL_CONCAT | ( |  | X,
|  |  | Y )

Value:
ETL_CONCAT2(X, Y)

## ETL_CONCAT2

#define ETL_CONCAT2 | ( |  | X,
|  |  | Y )

Value:
X##Y

## ETL_STRING

#define ETL_STRING | ( |  | X | ) |

Value:
ETL_CONCAT(, ETL_STRINGIFY(X))

## ETL_STRINGIFY

#define ETL_STRINGIFY | ( |  | ... | ) |

Value:
ETL_STRINGIFY_1(__VA_ARGS__)

## ETL_STRINGIFY_1

#define ETL_STRINGIFY_1 | ( |  | ... | ) |

Value:
#__VA_ARGS__

## ETL_U16_STRING

#define ETL_U16_STRING | ( |  | X | ) |

Value:
ETL_CONCAT(u, ETL_STRINGIFY(X))

## ETL_U32_STRING

#define ETL_U32_STRING | ( |  | X | ) |

Value:
ETL_CONCAT(U, ETL_STRINGIFY(X))

## ETL_U8_STRING

#define ETL_U8_STRING | ( |  | X | ) |

Value:
ETL_CONCAT(u8, ETL_STRINGIFY(X))

## ETL_WIDE_STRING

#define ETL_WIDE_STRING | ( |  | X | ) |

Value:
ETL_CONCAT(L, ETL_STRINGIFY(X))